| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IP_ENET_002_MAC_T Struct Reference
IP: Ethernet register block and driver (002)

## Detailed Description

Ethernet (002) MAC register block structure.

Definition at line 52 of file enet_002.h.

`#include "enet_002.h"`

## Data Fields
__IO uint32_t | MAC1
__IO uint32_t | MAC2
__IO uint32_t | IPGT
__IO uint32_t | IPGR
__IO uint32_t | CLRT
__IO uint32_t | MAXF
__IO uint32_t | SUPP
__IO uint32_t | TEST
__IO uint32_t | MCFG
__IO uint32_t | MCMD
__IO uint32_t | MADR
__O uint32_t | MWTD
__I uint32_t | MRDD
__I uint32_t | MIND
uint32_t | RESERVED0 [2]
__IO uint32_t | SA [3]

## Field Documentation

__IO uint32_t CLRT

Collision window / Retry register

Definition at line 57 of file enet_002.h.

__IO uint32_t IPGR

Non Back-to-Back Inter-Packet-Gap register

Definition at line 56 of file enet_002.h.

__IO uint32_t IPGT

Back-to-Back Inter-Packet-Gap register

Definition at line 55 of file enet_002.h.

__IO uint32_t MAC1

MAC Configuration register 1

Definition at line 53 of file enet_002.h.

__IO uint32_t MAC2

MAC Configuration register 2

Definition at line 54 of file enet_002.h.

__IO uint32_t MADR

MII Mgmt Address register

Definition at line 63 of file enet_002.h.

__IO uint32_t MAXF

Maximum Frame register

Definition at line 58 of file enet_002.h.

__IO uint32_t MCFG

MII Mgmt Configuration register

Definition at line 61 of file enet_002.h.

__IO uint32_t MCMD

MII Mgmt Command register

Definition at line 62 of file enet_002.h.

__I uint32_t MIND

MII Mgmt Indicators register

Definition at line 66 of file enet_002.h.

__I uint32_t MRDD

MII Mgmt Read Data register

Definition at line 65 of file enet_002.h.

__O uint32_t MWTD

MII Mgmt Write Data register

Definition at line 64 of file enet_002.h.

uint32_t RESERVED0[2]

Definition at line 67 of file enet_002.h.

__IO uint32_t SA[3]

Station Address registers

Definition at line 68 of file enet_002.h.

__IO uint32_t SUPP

PHY Support register

Definition at line 59 of file enet_002.h.

__IO uint32_t TEST

Test register

Definition at line 60 of file enet_002.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/enet_002.h